curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/insights/{insight_guid}/scheduled_payments \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/insights/{insight_guid}/scheduled_payments"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/users/{user_guid}/insights/{insight_guid}/scheduled_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduled_payments": [
{
"amount": 61.11,
"created_at": "2025-02-13T18:08:00+00:00",
"description": "Netflix",
"guid": "SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a",
"is_completed": false,
"is_recurring": true,
"merchant_guid": "MCH-b8a2624c-2176-59ec-c150-37854bc38aa8",
"occurs_on": "2022-01-15",
"recurrence_day": 15,
"recurrence_type": "EVERY_MONTH",
"transaction_type": "DEBIT",
"updated_at": "2025-02-13T18:09:00+00:00",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List all scheduled payments associated with an insight
Use this endpoint to list all the scheduled payments associated with the insight.
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique identifier for the insight. Defined by MX.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 100. If the value exceeds 100, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The monetary amount of the transaction.
61.11
The date and time the scheduled payment was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
A human-readable description of the scheduled_payment, for example, Power bill.
"Netflix"
The unique identifier for the scheduled payment. Defined by MX.
"SPA-c76e4a85-b2c4-4335-82b7-8f8b8f28c35a"
Indicates whether the scheduled_payment has been paid or not. This field is only applicable to one-time transactions.
false
Deprecated. If required, reach out to MX to discuss an alternative.
true
The unique identifier for the merchant. Defined by MX.
"MCH-b8a2624c-2176-59ec-c150-37854bc38aa8"
The date on which the payment is scheduled to occur, given in ISO 8601 format without a timestamp.
"2022-01-15"
The day of the month where the next payment is expected to occur.
15
The type of recurrence schedule.
"EVERY_MONTH"
The type of transaction.
CREDIT, DEBIT "DEBIT"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

